--[[--
ui.script{
  noscript_attr = noscript_attr,  -- HTML attributes for noscript tag
  noscript      = noscript,       -- string or function for noscript content
  attr          = attr,           -- extra HTML attributes for script tag
  type          = type,           -- type of script, defaults to "text/javascript"
  script        = script,         -- string or function for script content
}

This function is used to insert a script into the active slot. It is currently not XML compliant and the script must not contain a closing script tag.

--]]--

-- TODO: CDATA or SGML comment?

function ui.script(args)
  local args = args or {}
  local noscript_attr = args.noscript_attr
  local noscript = args.noscript
  local attr = table.new(args.attr)
  attr.type = attr.type or args.type or "text/javascript"
  local script = args.script
  if script and type(script) ~= "function" then
    -- disable HTML entity escaping
    script = function()
      slot.put(args.script)
    end
  end
  if noscript then
    ui.tag{ tag = "noscript", attr = attr, content = noscript }
  end
  if script then
    ui.tag{ tag = "script", attr = attr, content = script }
  end
end
